Subject: bug#15116: 24.3.50; doc of `set-match-data'

From: Juanma Barranquero <[email-masked]>
Date: Sat, 17 Aug 2013 17:40:26 +0200

On Sat, Aug 17, 2013 at 5:26 PM, Drew Adams <[email-masked]> wrote:

> The doc for every Emacs function should say what the return value is.

Hm. I disagree. Many functions are used just by their side effects,
and forcing them to declare a return value and keep it forever
back-compatible is unreasonable, especially when the return value is
quite arbitrary. You simply shouldn't rely on them returning anything
sensible.

   J